Installing Kopano core-8.7.82.4-RHEL_7_EPEL_7-x86_64 fails with missing dependency on python3-xapian



  • Hi,

    I am trying to install Kopano on CentOS 7 with EPEL but the Installation fails with a missing package.

    This is what i have done:

    wget https://download.kopano.io/community/core:/core-8.7.82.4-RHEL_7_EPEL_7-x86_64.tar.gz
    tar xzvf core-8.7.82.4-RHEL_7_EPEL_7-x86_64.tar.gz
    cd core-8.7.82.4-RHEL_7_EPEL_7-x86_64
    mkdir notinstall ; mv *devel*.rpm *debug*.rpm notinstall
    yum install *.rpm
    

    This is what I get:

    ...
    ...
    ---> Package kopano-search.x86_64 0:8.7.81.203.1889fded5-281.1 will be installed
    --> Processing Dependency: python3-xapian for package: kopano-search-8.7.81.203.1889fded5-281.1.x86_64
    ---> Package libXdamage.x86_64 0:1.1.4-4.1.el7 will be installed
    ---> Package libXfixes.x86_64 0:5.0.3-1.el7 will be installed
    ---> Package libXxf86vm.x86_64 0:1.1.4-1.el7 will be installed
    ---> Package libwayland-client.x86_64 0:1.15.0-1.el7 will be installed
    ---> Package libwayland-server.x86_64 0:1.15.0-1.el7 will be installed
    ---> Package libxshmfence.x86_64 0:1.2-1.el7 will be installed
    ---> Package mesa-libgbm.x86_64 0:18.0.5-4.el7_6 will be installed
    ---> Package mesa-libglapi.x86_64 0:18.0.5-4.el7_6 will be installed
    --> Finished Dependency Resolution
    Error: Package: kopano-search-8.7.81.203.1889fded5-281.1.x86_64 (/kopano-search-8.7.81.203.1889fded5-281.1.x86_64)
               Requires: python3-xapian
     You could try using --skip-broken to work around the problem
     You could try running: rpm -Va --nofiles --nodigest
    

    This are my repos (yum repolist):

    repo id                 repo name                                         status
    base/7/x86_64           CentOS-7 - Base                                   10019
    centos-sclo-rh/x86_64   CentOS-7 - SCLo rh                                 8366
    centos-sclo-sclo/x86_64 CentOS-7 - SCLo sclo                                780
    epel/x86_64             Extra Packages for Enterprise Linux 7 - x86_64    13291
    extras/7/x86_64         CentOS-7 - Extras                                   419
    remi-php73              Remi's PHP 7.3 RPM repository for Enterprise Linu   317
    remi-safe               Safe Remi's RPM repository for Enterprise Linux 7  3477
    updates/7/x86_64        CentOS-7 - Updates                                 2231
    repolist: 38900
    

    I could no find python3-xapian in any repo.
    Please help.



  • I’m facing the same issue here. Will this problem be addressed in future builds? python3-xapian is still missing in the CentOS package



  • The same error with core-8.7.82.168.1d6c032-RHEL_7_EPEL_7-x86_64

    Fehler: Paket: kopano-search-8.7.82.168.8dd42d860-405.1.x86_64 (/kopano-search-8.7.82.168.8dd42d860-405.1.x86_64)
    Benötigt: python3-xapian

    Which kopano-Version is working with Centos 7 ?

    regards
    uwe



  • This post is deleted!


  • @thctlo
    Mixing rpms between OSes is a very bad idea. Please don’t recommend it to people. For example, CentOS is currently still on Python 3.6, whilst Fedora is on 3.7.



  • i’ve removed it.



  • Hi guys, did someone find a solution for this issue?



  • Did anyone find a solution?


  • Kopano

    I would recommend using a Debian based distribution, RHEL/CentOS is just not a focus (at the moment).



  • First of all i think its pretty sad that theres currently no focus on RHEL especially since i suppose kopano is meant as an enterprise solution.

    For the community imho its still pretty tough to install kopano (lots of archives, some even with missing rpms inside -> chose RHEL-EPEL where possible as it seems the most complete). I think it would also help to have a repo available for the community. You definitely make it harder to install than it should be. Using createrepo is currently of no use either since there are lots of conflicts. I had to force the installation via rpm

    Part of the solution for RHEL is described in https://forum.kopano.io/topic/2385/installation-of-kopano-core-on-centos-7-not-possible/8

    I also used the howto at https://www.huerter.me/index.php/2018/07/12/howto-setup-kopano-als-kolab-groupware-ersatz/ (written for debian but can be used on RHEL in a similar fashion).

    Still I had quite some problems:

    1. kopano-webapp-plugin-filesbackend-smb has dependency for a php5-package whilst it should be PHP7 (as the tar-archive suggests).

    rpmrebuild, correct the package name, install …

    1. kopano-search wants python3-python-magic and python3-xapian

    install the packages providing these by rpm or (compile/install) by source any rpmrebuild

    1. lots (!) of unmet dependencies.

    yum install these

    1. found by accident: kopano-cli --list-users needs the python module tzlocal

    /usr/bin/pip3 install tzlocal

    Hoping my findings help some of you out. All in all: the installation on RHEL is totally possible!



  • Hey Adrian,

    thank you for your detailled explanation. I will try it in my lab environment.

    br



  • By the way, it is nearly impossible to install it on RHEL 7 (with epel):

    Does anybody know, if theese issues also happen in the commercial verison?
    Or is there any roadmap when it is fixed in the community edition (I know that there is no priority a the moment)


Log in to reply